# Workflow (dapr-sdk-parent 1.10.0 API)

Package io.dapr.workflows

## Class Workflow

- java.lang.Object
- - io.dapr.workflows.Workflow

    public abstract class Workflow
    extends Object

Common interface for workflow implementations.

### Constructor Summary

Constructors
`Workflow()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract WorkflowStub` `create()` Executes the workflow logic.
`void` `run​(WorkflowContext ctx)` Executes the workflow logic.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Workflow

    public Workflow()

### Method Detail

#### create

    public abstract WorkflowStub create()

Executes the workflow logic.

Returns:
  A WorkflowStub.

#### run

    public void run​(WorkflowContext ctx)

Executes the workflow logic.

Parameters:
  `ctx` - provides access to methods for scheduling durable tasks and getting information about the current workflow instance.